KOMPARE(1)

NAME
kompare - a TDE GUI for viewing differences between files

SYNOPSIS
kompare [ generic-options ]
kompare [ generic-options ] [ -c ] URL1 URL2
kompare [ generic-options ] [ -o [ -n ]] diff
kompare [ generic-options ] -b URL diff

DESCRIPTION
Kompare is a graphical user interface for viewing the differences between two files. It will also optionally create a diff file.

Depending upon what is passed on the command line, Kompare can compare documents, display diff files and blend diff files back into original documents.

If an url is given as - then Kompare will read the corresponding file from standard input. Thus (for instance) Kompare can be used as:

    cvs diff | kompare -o -

This utility is part of the TDE Software Development Kit.

OPTIONS
Below are the kompare-specific options. For a full summary of options, run kompare --help.

-b URL diff
    Blends diff into URL. diff is expected to be diff output and URL the file or folder that the diff output needs to be blended into.

-c URL1 URL2
    Compares URL1 with URL2. This is the default mode if two URLs are passed.

-n  Used with -o to stop Kompare from checking for the original file.

-o diff
    Opens the given diff file. This is the default mode if only one URL is passed.
    Kompare will check to see if it can find the original file(s). If it can, it will blend the original file(s) into the diff output and show the result in the viewer. Passing -n will disable this check.

SEE ALSO
The original documentation from the program author is available in /usr/share/doc/kompare/.

AUTHOR
Kompare was written by John Firebaugh <jfirebaugh@kde.org>, Otto Bruggeman <otto.bruggeman@home.nl> and others.
This manual page was prepared by Ben Burton <bab@debian.org> for the Debian GNU/Linux system (but may be used by others).